Skip to main content
GET
/
plans
/
{planId}
Get data plan
curl --request GET \
  --url https://dashboard.hologram.io/api/1/plans/{planId} \
  --header 'Authorization: Basic <encoded-value>'
{
  "success": true,
  "data": {
    "id": 123,
    "name": "<string>",
    "description": "<string>",
    "data": 123,
    "billingperiod": 123,
    "groupid": 123,
    "partnerid": 123,
    "display_category": "<string>",
    "cellular_coverage_region_id": 123,
    "use_variable_rates": true,
    "is_dynamic_pool": true,
    "cellular_coverage_region": {
      "id": 123,
      "display_name": "<string>",
      "description": "<string>"
    },
    "tiers": {},
    "current_tier": "<string>",
    "zones": {},
    "amountglobal": "<string>",
    "smsglobal": "<string>",
    "overageglobal": "<string>",
    "variable_rates_range": {
      "min": 123,
      "max": 123
    },
    "profiles": [
      {
        "carrierId": 123,
        "name": "<string>",
        "offerId": 123
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

HTTP Basic authentication using API keys. Set the username to apikey and the password to your API key. You can find your API key on the Hologram Dashboard under Account Settings.

Path Parameters

planId
integer
required

ID of the plan

Query Parameters

include_rate_card_range
boolean

When true, each plan response will include variable_rates_range metadata sourced from the rate card API

rate_card_effective_date
string

Override the effective date used when fetching plan rate card data

Response

OK

success
boolean

Indicates whether the request was successful.

Example:

true

data
object